"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.insertDevice = void 0;
const package_name_1 = require("./package-name");
function insertDevice(param) {
    return __awaiter(this, void 0, void 0, function* () {
        const { deep, info, containerLinkId } = param;
        const deviceTypeLinkId = yield deep.id(package_name_1.DEVICE_PACKAGE_NAME, 'Device');
        const containTypeLinkId = yield deep.id('@deep-foundation/core', 'Contain');
        let { data: [deviceLink], } = yield deep.insert({
            type_id: deviceTypeLinkId,
            in: {
                data: [
                    {
                        type_id: containTypeLinkId,
                        from_id: containerLinkId,
                    },
                ],
            },
            object: {
                data: {
                    value: info
                }
            }
        }, { returning: deep.selectReturning });
        return { deviceLink };
    });
}
exports.insertDevice = insertDevice;
