"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDeviceInsertionIfDoesNotExistAndSavingData = void 0;
const react_1 = require("react");
const insert_device_1 = require("../insert-device");
const get_all_device_info_1 = require("../get-all-device-info");
function useDeviceInsertionIfDoesNotExistAndSavingData(param) {
    const { deep, deviceLinkId, setDeviceLinkId, containerLinkId } = param;
    const [isLoading, setIsLoading] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        const fetchAndInsertDeviceLink = () => __awaiter(this, void 0, void 0, function* () {
            let deviceLink;
            if (deviceLinkId) {
                const { data } = yield deep.select(deviceLinkId);
                deviceLink = data[0];
            }
            if (!deviceLinkId || !deviceLink) {
                setIsLoading(true);
                const insertionResult = yield (0, insert_device_1.insertDevice)({
                    deep,
                    containerLinkId,
                    info: yield (0, get_all_device_info_1.getAllDeviceInfo)(),
                });
                setDeviceLinkId(insertionResult.deviceLink.id);
                setIsLoading(false);
            }
        });
        fetchAndInsertDeviceLink();
    }, [deviceLinkId]);
    return { isLoading };
}
exports.useDeviceInsertionIfDoesNotExistAndSavingData = useDeviceInsertionIfDoesNotExistAndSavingData;
